petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCoarsenGetData

Gets the weights for vertices for a coarsen.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode MatCoarsenGetData(MatCoarsen coarser, PetscCoarsenData **llist)

Logically Collective on Coarsen

### Input Parameter

coarser -the coarsen context

### Output Parameter

llist -linked list of aggregates

### Keywords

Coarsen

### See Also

MatCoarsenCreate(), MatCoarsenSetType()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages